.TH ARGH 1 "Sep 29 1994" "Stanford University" "SUIF Compiler"
.SH NAME
argh \- front\-end for multi-argument passes
.SH SYNOPSIS
.B argh
.I progname
.BI \-. out\-suffix
[
.I flags
]
.I infiles
.SH DESCRIPTION
This little utility makes it easier to use passes that take multiple
input and output files on the command-line by giving a different
interface.  It simply runs the command
.I progname
with
.I infiles
as the input file names and generates the output file names from these
by replacing the input file names with the suffix
.BI . out\-suffix.
.B argh
assumes that
.I progname
expects its command-line in the form of alternating input and output
file names.  Arguments beginning with ``-'' are assumed to be flags
instead of input files, so they are passed through unchanged to
.I progname.
The special flag ``--'' is assumed to mark the end of the flags, so
all subsequent arguments are taken as file names, even if they begin
with ``-''.  The ``--'' flag is also passed through to
.I progname.
.SH HISTORY
This program was written by Chris Wilson.
